<div id="map">

    <!-- Ici s'affichera la carte -->
</div>

<script type="text/javascript">
    // On initialise la latitude et la longitude de Rennes (centre de la carte)
            var lat = 48.117266;
            var lon = -1.6777926;
            var macarte = null;
           var myIcon = L.divIcon({className: 'my-div-icon'});
            
            // Fonction d'initialisation de la carte
            function initMap() {
                // Créer l'objet "macarte" et l'insèrer dans l'élément HTML qui a l'ID "map"
                macarte = L.map('map').setView([lat, lon], 11);
                L.tileLayer('https://{s}.tile.openstreetmap.fr/osmfr/{z}/{x}/{y}.png', {
                    attribution: 'données © <a href="//osm.org/copyright">OpenStreetMap</a>/ODbL - rendu <a href="//openstreetmap.fr">OSM France</a>',
                    minZoom: 1,
                    maxZoom: 20
                }).addTo(macarte);

                {% for data in datas %}
                var myIcon = L.icon({
                iconUrl: "{{ asset('icon/bus.png') }}",
                iconSize: [50, 50],
                iconAnchor: [25, 50],
                popupAnchor: [-3, -76],
            });
                
                 var marker = L.marker([{{data.coordonnees.lat}},{{data.coordonnees.lon}}], { icon: myIcon }).addTo(macarte);
                 marker.bindPopup("{{data.nomcourtligne}} </br> {{data.destination}}").openPopup();
                {% endfor %}

   
            }
            window.onload = function(){
		// Fonction d'initialisation qui s'exécute lorsque le DOM est chargé
		initMap(); 
            };
        
</script>